Skip to main content
GET /api/v1/account/spot_asset/withdraw/pending

Query Parameters

FieldTypeNeedDescriptionExample
”account”stringrequiredUser’s wallet address42trU9A5…
/api/v1/account/spot_asset/withdraw/pending?account=42trU9A5...

Response

  • Status 200: Successfully retrieved pending spot withdrawals
{
  "success": true,
  "data": [
    {
      "symbol": "SOL",
      "amount": "1.00000000",
      "amount_requested": "1.00100000",
      "fee_amount": "0.00100000",
      "batch_nonce": 42,
      "created_at": 1716200000000
    }
    ...
  ]
}
FieldTypeDescription
'symbol'stringSpot asset symbol
'amount'decimal stringNet amount to be received after fees
'amount_requested'decimal stringOriginal amount requested for withdrawal
'fee_amount'decimal stringFee deducted from the withdrawal
'batch_nonce'integerNonce of the withdrawal batch
'created_at'integerTimestamp in milliseconds of when the withdrawal was created
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 500: Internal server error

Code Example (Python)

import requests

response = requests.get(
    "/api/v1/account/spot_asset/withdraw/pending",
    params={"account": "42trU9A5..."},
    headers={"Accept": "*/*"},
)

data = response.json()